Subject: [bug#66618] [PATCH] etc: gitconfig: Remove the default email address to avoid mistakes.

From: Clément Lassieur <[email-masked]>
Date: Fri, 20 Oct 2023 10:42:36 +0200

Maxim Cournoyer <[email-masked]> writes:

>>>        The header of the email is configurable via command-line
>>> options. If not specified on the command line, the user will be
>>> prompted with a ReadLine enabled interface to provide the necessary
>>> information.
>>
>> that has been removed with your patch.  I call this a bug.
>
> One could argue it's also a misleading documentation.  It should say if
> a 'to' address is not specified *or* configured.  What would you have
> typed interactively if prompted; [email-masked]? :-) I think you
> might grow to like this default after this initial mishap.

I would have typed the correct bug number, the one I passed to
--reply-to instead of --to.

What problem does it solve anyway?  People that are too lazy to type the
address?  (Most people automate this)

What problem does it create?  The tool doesn't behave like people
expect.  That's some unwanted magic.

>> I prefer the "wontfix" tag if you really don't want to amend your patch. :-)
>
> OK!  I'll leave this opened for a bit longer to allow for others to tip
> in, after which I'll do so.